Sub BackFactor7 (Z,E0,Ec,R)

     'Backscatter factor (R-Factor), August (1988)

     'Input parameters: Z      :  Atomic number
     '                  E0     :  Incident beam energy in keV
     '                  Ec     :  Critical excitation energy in keV
     'Output parameter: R      :  Backscattering factor

     dim a(5,10)
     U0=E0/Ec
     B=(1/U0)-1
     for j=1 to 5
	  for i=1 to j
	       read a(i,j-i+1)
	  next i
     next j
     r1=0
     r2=0
     for j=1 to 5
	  for i=1 to j
	       V=a(i,j-i+1)*B^i*Z^(j-i+1)
	       r1=r1+V
	  next i
	  sum1=r2+r1
     next j
     R=1+sum1

     data  0.5580848699e-2, 0.2709177328e-3, 0.3401533559e-1
     data -0.5531081141e-5,-0.1601761397e-3, 0.9916651666e-1
     data  0.5955796251e-7, 0.2473523226e-5,-0.4615018255e-3
     data  0.1030099792,   -0.3210316856e-9,-0.3020861042e-7
     data -0.4332933627e-6,-0.3113053618e-3, 0.3630169747e-1

End Sub
