Sub BackFactor9 (Z,E0,Ec,alpha,R)

     'Backscattering factor (R-Factor), Russ (1975)

     'Input parameters: Z       :  Atomic number
     '                  E0      :  Incident beam energy in keV
     '                  Ec      :  Critical excitation energy in keV
     '                  alpha   :  Sample tilt angle in degrees
     'Output parameter: R       :  Backscattering factor

     alpha=alpha*0.017453
     U=E0/Ec
     R=exp(-0.004*Z*(U-1)^0.3)
     R=R*cos(0.56*alpha)

End Sub
