Sub BackScatCoef10 (Z,E0,A,rho,x,eta)

'Backscattering coefficient for SEM thin film-substrat,Sogard (1980)
'Input parameters:  Z    = atomic number
'                   E0   = energy of electron beam in keV
'                   A    = atomic weight
'                   rho  = density of thin film (g/cm^3)
'                   x    = film thickness in mn
'Output parameter:  eta  = backscattering coefficient

     K=0.1904-0.2236*log(Z)+0.1292*(log(Z))^2-0.01491*(log(Z))^3
     m=0.1382-0.9211*Z^(-0.5)
     eta=K*E0^m     ' for bulk sample
     a=(0.040*Z+4.34)*1e-5
     b=(-0.0417*Z+5.74)*1e-3
     x1=(rho*Z)/(ni*A*E0^2)
     x1=x1*(a*E0+b)
     x=x/x1
     c=0.473*x+0.0782*x^2
     d=(exp(c)-exp(-c))/(exp(c)+exp(-c))
     eta=eta*d

End Sub
