Sub BackScatCoef11 (Z,E0,alpha,eta)

'Backscattering coefficient for tilted samples,Darlington (1975)
'Input parameters:  Z     = atomic number
'                   E0    = energy of electron beam in keV
'                   alpha = angle at which electron beam strike sample in deg.
'Output parameter:  eta  = backscattering coefficient

    'Hunger and Kuchler(1979) backscattering coefficient
    K=0.1904-0.2236*log(Z)+0.1292*(log(Z))^2-0.01491*(log(Z))^3
    m=0.1382-0.9211*Z^(-0.5)
    eta=K*E0^m
    alpha=alpha*0.017453
    a=(eta/0.891)^cos(alpha)
    eta=0.891*a

End Sub
