Sub BackScatCoef12 (Z,E0,alpha,eta)

'Backscattering coefficient for tilted samples,Neubert and Rogaschewski (1980)
'Input parameters:  Z     = atomic number
'                   E0    = energy of elctron beam in keV
'                   alpha = sample tilt angle in deg.
'Output parameters: eta   = backscattering coefficient

    'Hunger and Kuchler(1979) Backscattering Coefficient
    K=0.1904-0.2236*log(Z)+0.1292*(log(Z))^2-0.01491*(log(Z))^3
    m=0.1382-0.9211*Z^(-0.5)
    eta=K*E0^m
    alpha=alpha*0.017453
    p=1.36-eta
    b=cos(alpha)
    b=b^p
    b=0.895*(1-b)
    eta=eta*(1.032/eta)^b

End Sub
