Sub BackScatCoef13 (Z,E0,A,rho,x,eta)

'Backscattering coefficient for unsuported thin film,Niedrig (1982)
'Input parameters:  Z    = atomic number
'                   E0   = energy of electron beam in keV
'                   A    = atomic weight
'                   rho  = density of thin film in g/cm^3
'                   x    = film thickness in microns
'Output parameter:  eta = backscattering coefficient

     R=0.033*(A/(Z*rho))*E0^1.65
     if x>=R then
	print"Thin film thickness is greater then calculated."
	print"Electron range (microns):";
	print using"##.###";R
	exit sub
     end if
     a=0.024*Z^2/A
     k=-0.2137+0.05108*Z-7.499e-4*Z^2+5.807e-6*Z^3-1.800e-8*Z^4
     a1=(a*(a+k-1))/((a+k)*(a+k+1))
     a2=(1-(1-2*((a+k)/(a+k-1))*(x/R))*(1-(x/R))^(a+k))
     a3=k*(a+k-2)/((a+k)*(a+k-1))
     a4=(1-(1-2*((a+k-1)/(a+k-2))*(x/R))*(1-(x/R))^(a+k-1))
     eta=a1*a2+a3*a4

End Sub
