Sub BackScatCoef18 (Z,E0,A,rho,alpha,eta)

'Backscattering coefficient for tilted samples,Niedrig (1982)
'Input parameters:  Z     = atomic number
'                   E0    = energy of electron beam in keV
'                   A     = atomic weight
'                   rho   = density of thin film in g/cm^3
'                   alpha = sample tilt angle in deg.
'Output parameter:  eta   = backscattering coefficient

     alpha=0.017453*alpha
     a=0.024*Z^2/A
     k=-0.2137+0.05108*Z-7.499e-4*Z^2+5.807e-6*Z^3-1.800e-8*Z^4
     y=cos(alpha)/(1+cos(alpha))
     q1=0.5*(1+cos(2*alpha))
     q=(a/q1)+k
     p=0.5*(1-cos(2*alpha))
     a1=a/(q*q1)
     a2=1-(2*p/(q+2))*(1-y^(q+2))-(2*q1/(q+1))*(1-y^(q+1))
     a3=(k/q)*(1-(cos(alpha)/(q-1))*(1-y^(q-1)))
     eta=a1*a2+a3

End Sub
