Sub CritEnergy1 (Z,L$,Ec)

'Critical energy (or edge energy),Poehn,Wernisch and Hanke (1985)
'Input parameters:  Z  = atomic number
'                   L$ = code for edges (K,L1,L2,L3,M1,M2,M3,M4,M5)
'Output parameter:  Ec = critical energy in keV

    L$=ucase$(L$)
    if L$="K" then
	 a=-1.304e-1
	 b=-2.633e-3
	 c=9.718e-3
	 d=4.144e-5
    elseif L$="L1" then
	 a=-4.506e-1
	 b= 1.566e-2
	 c= 7.599e-4
	 d= 1.792e-5
    elseif L$="L2" then
	 a=-6.018e-1
	 b= 1.964e-2
	 c= 5.935e-4
	 d= 1.843e-5
    elseif L$="L3" then
	 a= 3.390e-1
	 b=-4.931e-2
	 c= 2.336e-3
	 d= 1.836e-6
    elseif L$="M1" then
	 a= -8.645
	 b=  3.977e-1
	 c= -5.963e-3
	 d=  3.624e-5
    elseif L$="M2" then
	 a= -7.499
	 b= 3.459e-1
	 c=-5.250e-3
	 d= 3.263e-5
    elseif L$="M3" then
	 a=-6.280
	 b=2.831e-1
	 c=-4.117e-3
	 d=2.505e-5
    elseif L$="M4" then
	 a=-4.778
	 b=2.184e-1
	 c=-3.303e-3
	 d=2.115e-5
    elseif L$="M5" then
	 a=-2.421
	 b=1.172e-1
	 c=-1.845e-3
	 d=1.397e-5
    end if
    Ec=a+b*Z+c*Z^2+d*Z^3

End Sub
