Sub FC1 (AtNum,Lines,TOA,fc)

     'Fluorescence by continuum, Pouchou (1993)
     'Input parameters:    AtNum  :    Atomic number
     '                     Lines  :    Line code (1 for K alpha lines, 2 for
     '                                 L alpha lines and 3 for M alpha lines)
     '                     TOA    :    Take-off angle in degrees
     'Output parameters:   fc     :    Continuum factor fc

     TOA=TOA*0.017453
     a=sin(TOA)
     a=1/a
     if Lines=1 then
	 'for Z<=47
	 G=-2.8566e-3+AtNum*(1.6492e-3+AtNum*(-1.8e-4+6.7086e-6*AtNum))
	 p=0.3*(1-exp(1.3*(1-AtNum/20)))
	 a=a^p
	 fc=G/a
     elseif Lines=2 then
	 'for Z>=34
	 G=-9.370e-2+AtNum*(5.992e-3+AtNum*(-1.2937e-4+1.02495e-6*AtNum))
	 p=0.3*(1-exp(2.52*(1-AtNum/49)))
	 a=a^p
	 fc=G/a
     elseif Lines=3 then
	 'for Z>=70
	 G=3.326e-2+AtNum*(-1.01e-3+8.5827e-6*AtNum)
	 p=-3.2175+6.344e-2*AtNum-3.2286e-4*AtNum^2
	 a=a^p
	 fc=G/a
     end if

End Sub