Sub FluorYield2 (AtNum,Lines,Omega)

     'Fluorescence yield, Burhop (1955)
     'Input parameters: AtNum    :   Atomic number
     '                  Lines    :   Line code (1 for K alpha lines, 2 for
     '                               L alpha lines and 3 for M alpha lines)
     'Output parameter: Omega    :   Fluorescence yield

     if Lines=1 then
	     a=-0.03795
	     b=0.03426
	     c=1.163e-6
     elseif Lines=2 then
	     a=-0.11107
	     b=0.01368
	     c=-2.177e-7
     elseif Lines=3 then
	     a=-0.00036
	     b=0.00386
	     c=2.010e-7
     end if
     d=(a+b*AtNum+c*AtNum^3)^4
     Omega=d/(1+d)

End Sub