
Sub ICS17 (E0,Ec,Z,Q)

'Ionization cross-section for K lines,Casnati (1982)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K lines in keV
'Output parameters:  Q     :     ionization cross section in cm^2

     E0=E0*1000
     Ec=Ec*1000
     U=E0/Ec
     d=-0.0318+(0.3160/U)-(0.1135/U^2)
     fi=10.57*exp((-1.736/U)+(0.317/U^2))
     R=13.606          'Rydberg's energy in eV
     ksi=(Ec*1000/R)^d
     a0=52.92*1e-12    'Bohr's radius
     m=9.1*1e-31
     c0=2.997923*1e+8
     mc=m*c0^2
     I=Ec/mc
     T=E0/mc
     F=((2+I)/(2+T))*(1+T/(1+I))^2
     F=F*(((I+T)*(2+T)*(1+I)^2)/(T*(2+T)*(1+I)^2+I*(2+I)))^3/2
     zk=2
     Q=(zk*a0^2*F*R^2*ksi*fi*log(U))/U
     Q=Q/Ec^2
     Q=Q*1000
     Q=Q/1e-24

End Sub
