Sub ICS20 (E0,Ec,Z,Q)

'Ionization cross-section for K lines,Gauvin (1993)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K lines in keV
'                    Z     :     atomic number
'Output parameters:  Q     :     ionization cross section in cm^2

     nk=2
     bk=0.990-0.01883*Z+3.066*1e-4*Z^2-2.154*1e-6*Z^3
     ck=0.2821+0.077*Z-3.807*1e-3*Z^2+8.262*1e-5*Z^3-4.784*1e-7*Z^4
     a1=0.027737822
     b1=0.0031243905
     c1=-4.6903574*1e-6
     d1=2.4238904*1e-9
     beta=a1+b1*E0+c1*E0^2+d1*E0^3    'beta^2
     beta1=a1+b1*Ec+c1*Ec^2+d1*Ec^3   'beta^2 for E0=Ec
     T=(510.976*beta)/2
     U=T/Ec
     T1=(510.976*beta1)/2
     U1=T1/Ec              'for E0=Ec
     d2=(log((1-beta1)/U1)+beta1)/log(ck)
     if U>=4 then
	d=1
     end if
     if U=U1 then
	d=d2
     end if
     if U<4 and U>U1 then
	d=((1-d2)/(4-U1))*U+(4*d2-U1)/(4-U1)
     end if
     Q=6.51*1e-20*nk*bk/(Ec^2*U)
     Q=Q*(log((ck)^d*U)-log(1-beta)-beta)

End Sub
