Sub ICS21 (E0,Ec,Z,L,Q)

'Subroutine:Ionization cross-section,Pouchou (1993) for K and L3 lines.
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K and L3 lines in keV
'                    Z     :     atomic number
'                    L     :     line code (1 for K, 2 for L3)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     m=0.86+0.12*exp(-(Z/5)^2)
     if L=1 then
	z=2
	a1=1
	a2=0.1
	a3=1.5
	m1=m
	m2= 5
	m3=30
	Q=1.4e-20*z*exp(m)*m1
	sum1=a1*log(U)/(Ec^2*U^m1)
	sum2=a2*log(U)/(Ec^2*U^m2)
	sum3=a3*log(U)/(Ec^2*U^m3)
	sum=sum1+sum2+sum3
	Q=Q*sum
     elseif L=2 then
	z=4
	m=0.82
	Q=1.2e-20*z*exp(m)*m*log(U)/(Ec^2*U^m)
     end if

End Sub
