Sub ICS8 (E0,Ec,L,Q)

'Ionization cross-section for K,L and M lines,Gryzinski (1965)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K,L and M lines in keV
'                    L     :     line code (1 for K,2 for L and 3 for M)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
	z=2
     elseif L=2 then
	z=8
     else
	z=18
     end if
     g1=(1/U)*((U-1)/(U+1))^3/2
     g2=1-1/(2*U)
     g3=2.7+(U-1)^1/2
     g=g1*(1+(2/3)*g2*log(g3))
     Q=6.51*1e-20*z*g
     Q=Q/Ec^2

End Sub
