Sub ICS9 (E0,Ec,L,Q)

'Ionization cross-section for K and L23 lines,Lotz (1970)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K and L23 lines in keV
'                    L     :     line code (1 for K,2 for L)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
	z=2
	a=4*10e-20
	b=0.75
	c=0.5
     else
	z=8
	a=2.6*1e-20
	b=0.92
	c=0.19
     end if
     c=-c*(U-1)
     Q=a*z*log(U)*(1-b*exp(c))
     Q=Q/U
     Q=Q/Ec^2

End Sub
