Sub IncChargeCol (Ea,Ei,Aa,Nci)

     'This subroutine calculates incomplete charge collection of the EDS
     'detector as in the program Frame C (1979). For incomplete charge
     'collection at the low energy is used an empirical expression:

     'Nci=A*a(Ea-Ei)*exp[-b*(Ea-Ei)]

     'in which a and b are anergy dependent coefficients fitted for a
     'particular detector.

     'Input parameters:    Ea    :   Energy of centroid of the peak A
     '                     Ei    :   Energy of lower limit of narow
     '                               width centered arround peak A
     '                     Aa    :   Counts in the channel of narow
     '                               width centered around peak A
     'Output parameter:    Nci   :   Incomplete charge collection

     dif=Ea-Ei
     c1=1-exp(-b*dif)
     c2=1+b*dif
     Nci=(a/b^2)*Aa*c1*c2

End Sub
