Sub Phi09 (E0,Ec,L,Z,Eta,phi0)

     'Subroutine:Merlet phi(0) expression,(1992)
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    L     :   line code (1 for K,2 for L and 3 for M)
     '                    Z     :   atomic number
     '                    Eta   :   backscattering coefficient
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     if L=1 then
	  m=1
     elseif L=2 then
	  m=1
     else
	  m=0.8
     end if
     d1=0.02*Z-m+1
     d2=0.1*Z-m+1
     d3=0.4*Z-m+1
     b1=(1/d1)*(1-(1-1/U0^d1)/(d1*log(U0)))
     b2=(1/d2)*(1-(1-1/U0^d2)/(d2*log(U0)))
     b3=(1/d3)*(1-(1-1/U0^d3)/(d3*log(U0)))
     a1=(0.27/(10+0.02*Z))+(1.1+5/Z)
     a2=(1/(1+0.1*Z))-1.1/(1+0.4*Z)
     a3= a1*a2
     a=Eta/a3
     phi0=1+1.85*a*(0.27*b1+(1.1+5/Z)*(b2-1.1*b3))

End Sub
