Sub Range1 (E0,Z,A,rho,Range)

    'Electron range,Bethe (1930)
    'Input parameters:  E0    = energy of electron beam in keV
    '                   Z     = atomic number
    '                   A     = atomic weight
    '                   rho   = density in g/cm^3
    'Output parameter:  Range = electron range in microns
    'Stopping power in volts/microns-modified expression
    'Mean ionization potential,Berger and Selzer (1964)
    J=(9.76*Z+(58.5/(Z^.19)))*.001
    'Screened Rutherford scattering parameter b
    ah=.263*(Z^.4)
    b=.072*Z/ah
    b=b*((E0/15)^.95)
    'Calculate range assuming Bethe continuous energy loss by
    'Simpson's numerical integation method
    for m=1 to 21
	en=(m-1)*E0/20
	if en>=(6.34*J) then
	   s=78500*Z*(log(1.166*(en+.85*J)/J))/(A*en)
	   f=1/s
	   exit if
	else
	   f=(sqr(en*J))*A/(62400*Z)
	end if
	l=2
	if m/2=int(m/2) then l=4
	if m=1 or m=21 then l=1
	fs=fs+l*f
    next m
    'Calculate Bethe range in microns
    r=fs*E0/60
    ss=r/50
    Range=ss*500000/rho

End Sub
