Sub ReTrProb (AtNum,Lines,RelProb)

     'Relative transition probability, Schreiber and Wims (1981)
     'Input parameters:   AtNum   :   Atomic number
     '                    Lines   :   Line code (1 for K alpha, 2 for L alpha
     '                                and 3 for M alpha lines)
     'Output parameters:  RelProb :   Relative transition probability

     if Lines=1 then
	if AtNum=>5 and AtNum<=10 then
	     RelProb=1.00
	elseif AtNum=>11 and AtNum<=19 then
	     RelProb=1.052-4.39e-4*AtNum^2
	elseif AtNum=>20 and AtNum<=29 then
	     RelProb=0.896-6.575e-4*AtNum
	elseif AtNum=>30 and AtNum<=60 then
	     RelProb=1.0366-6.82e-3*AtNum+4.815e-5*AtNum^2
	end if
     elseif Lines=2 then
	if AtNum=>27 and AtNum<=50 then
	     RelProb=1.617-0.0398*AtNum+3.766e-4*AtNum^2
	elseif AtNum=>51 and AtNum<=92 then
	     RelProb=0.609-1.619e-3*AtNum-0.03248*sin(0.161*(AtNum-51))
	end if
     elseif Lines=3 then
	if AtNum=>60 and AtNum<=92 then
	    RelProb=0.65
	else
	    RelProp=1.00
	end if
     end if

End Sub
