Sub RF12 (E0,E,Rc,Eta,Rb)

'Calculate R-factor for continuum radiation,Statham (1972)
'Input parameters:   E0    :     incident beam energy in keV
'                    E     :     energy of continuum radiation in keV
'                    Rc    :     R-factor for characteristic radiation
'                    Eta   :     bakscattering coefficients of specimen
'Output parameters:  Rb    :     R-factor for continuum radiation

     a=2/(1+Eta)
     b=0.79+(0.44*E)/E0
     Rb=1-(1-Rc)*a^0.63*b

End Sub
