Sub TOA1 (WD,IntDist,Elevation,Azimuth,DetArea,Scale,Tilt,TOA,SAD)

     'Calculation of the take-off angle, Moll (1977)
     'and solid angle of detection
     'Input parameters:    WD          :    Working distance (mm)
     '                     IntDist     :    Intersection distance (mm)
     '                     Elevation   :    Elevation angle (deg.)
     '                     Azimuth     :    Azimuth angle (deg.)
     '                     DetArea     :    Detector area (mm^2)
     '                     Scale       :    Scale setting (mm)
     '                     Tilt        :    Surface tilt angle (deg.)
     'Output parameters:   TOA         :    Take-off angle (deg.)
     '                     SAD         :    Solid angle of detection (Sr.)


     L=(90+Elevation)
     L=L/57.2958
     Z=WD-IntDist
     R=sqr(Scale*Scale+Z*Z-2*Scale*Z*cos(L))
     Y=Scale*sin(L)/R
     E=90-((atn(Y/sqr(1-Y*Y))))*57.2958
     X=E-Elevation
     X=X/57.2958
     Q=cos((X))*(DetArea/(R*R)+1-sqr(R*R+B/6.2831853)/R)
     K=Tilt/57.2958
     A=Azimuth/57.2958
     TOA=E+((atn(sin(K)*cos(A)/cos(K))))*57.2958
     SAD=Q

End Sub
